Bug 885740 - open(2) should document O_PATH
open(2) should document O_PATH
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 09:10 EST by Florian Weimer
Modified: 2013-08-01 23:22 EDT (History)
2 users (show)

See Also:
Fixed In Version: man-pages-3.51-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:20:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2012-12-10 09:10:09 EST
Description of problem:

The open(2) manual page does not document the O_PATH flag.

O_PATH was added in kernel commit 1abf0c718f15a56a0a435588d1b104c7a37dc9bd and was first released in version 2.6.39.  fstat support was added in commit 55815f70147dcfa3ead5738fd56d3574e2e3c1c2 (kernel 3.6).

I haven't got a concise description of the flag's semantics, I'm afraid.

Version-Release number of selected component (if applicable):

man-pages-3.43-1.fc18.noarch
Comment 2 Peter Schiffer 2013-01-08 09:04:25 EST
This issue was discussed on man-pages mailing list, but without any results so far:
http://thread.gmane.org/gmane.linux.man/2790
Comment 3 Peter Schiffer 2013-07-22 06:08:30 EDT
fixed in rawhide:
man-pages-3.52-1.fc20
http://koji.fedoraproject.org/koji/buildinfo?buildID=436530
Comment 4 Fedora Update System 2013-07-22 06:58:38 EDT
man-pages-3.51-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/man-pages-3.51-2.fc19
Comment 5 Fedora Update System 2013-07-22 07:32:10 EDT
man-pages-3.43-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/man-pages-3.43-2.fc18
Comment 6 Fedora Update System 2013-07-22 21:03:51 EDT
Package man-pages-3.51-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing man-pages-3.51-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13362/man-pages-3.51-2.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-01 23:20:40 EDT
man-pages-3.43-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-01 23:22:55 EDT
man-pages-3.51-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.